//**************************************************
//
//               libsk_access.so V1.99.9b
//
//**************************************************
#ifndef __SK_ACCESS_H_INCLUDED__
#define __SK_ACCESS_H_INCLUDED__

#define _cdecl __attribute__((cdecl))

typedef char byte;
typedef unsigned short Word;
typedef unsigned int DWord;

extern void _cdecl Back_Space();
extern int  _cdecl Buffer_In_Data();
extern void _cdecl Carriage_Return();
extern void _cdecl Clear_Disp();
extern void _cdecl Clear_L1();
extern void _cdecl Clear_L2();
extern void _cdecl Cursor_Blink();
extern void _cdecl Cursor_Off();
extern void _cdecl Cursor_On();
extern void _cdecl Disable_Keyboard();
extern void _cdecl Disp_Char(char data);
extern void _cdecl Disp(char *data);
extern void _cdecl Enable_Keyboard();
extern void _cdecl Free_Sk_Access();
extern _Bool _cdecl Get_Block(byte block , byte *buffer);
extern _Bool _cdecl Get_Com_Type();
extern int  _cdecl Get_Current_Interface();
extern byte _cdecl Get_Cursor(void *x_pos, void *y_pos);
extern int _cdecl Get_Data_Rs(void *buffer, int buf_size);
extern int _cdecl Get_Data(void *buffer, int size);
extern void _cdecl Get_Dll_Version(char *version);
extern void _cdecl Get_Firmware_Version(char *version);
extern void _cdecl Get_Serial_Number(char *serial);
extern byte _cdecl Get_Status();
extern int  _cdecl GetOperatingSystem();
extern void _cdecl Gotoxy(byte x, byte y);
extern void _cdecl Keyb_Reset();
extern void _cdecl Line_Feed();
extern void _cdecl Log_Off();
extern void _cdecl Log_On(DWord level);
extern void _cdecl Redirect();
extern void _cdecl Reset_Interface();
extern void _cdecl S_Mode_Off();
extern void _cdecl S_Mode_On();
extern int  _cdecl Select_Interface();
extern void _cdecl Send_Data(byte data);
extern void _cdecl Send_Disp_Ctrl(byte data);
extern void _cdecl Set_Beep_Off();
extern void _cdecl Set_Beep_On();
extern void _cdecl Set_Eco_Off();
extern void _cdecl Set_Eco_On();
extern int  _cdecl Set_Interface(char *interf);
extern void _cdecl Set_Page0();
extern void _cdecl Set_Page1();
extern void _cdecl Set_Psw_Off();
extern void _cdecl Set_Psw_On();
extern void _cdecl Set_Udg(byte caracter, byte def0, byte def1, byte def2,
			   byte def3, byte def4, byte def5, byte def6, byte def7);

/* -----------------------------------------------------------------*/	

#endif 